メインコンテンツへスキップ
GET
/
files
/
v3
/
files
/
stat
/
{path}
パスのファイルを取得
curl --request GET \
  --url https://api.hubapi.com/files/v3/files/stat/{path} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.hubapi.com/files/v3/files/stat/{path}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.hubapi.com/files/v3/files/stat/{path}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "file": {
    "archived": true,
    "createdAt": "2023-11-07T05:31:56Z",
    "id": "<string>",
    "updatedAt": "2023-11-07T05:31:56Z",
    "archivedAt": "2023-11-07T05:31:56Z",
    "defaultHostingUrl": "<string>",
    "encoding": "<string>",
    "expiresAt": 123,
    "extension": "<string>",
    "fileMd5": "<string>",
    "height": 123,
    "isUsableInContent": true,
    "name": "<string>",
    "parentFolderId": "<string>",
    "path": "<string>",
    "size": 123,
    "type": "<string>",
    "url": "<string>",
    "width": 123
  },
  "folder": {
    "archived": true,
    "createdAt": "2023-11-07T05:31:56Z",
    "id": "<string>",
    "updatedAt": "2023-11-07T05:31:56Z",
    "archivedAt": "2023-11-07T05:31:56Z",
    "name": "<string>",
    "parentFolderId": "<string>",
    "path": "<string>"
  }
}
{
  "message": "Invalid input (details will vary based on the error)",
  "correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
  "category": "VALIDATION_ERROR",
  "links": {
    "knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
  }
}

Supported products

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

パスパラメータ

path
string
必須
Pattern: .+

クエリパラメータ

properties
string[]

レスポンス

successful operation

file
object

File

folder
object
最終更新日 2026年4月10日